# List All Video Profiles

## &#x20;/v1/video\_profiles

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/video_profiles`

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "id": "735299b7-5988-11ea-883b-028fc5698662",
            "name": "480p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "480",
                "video_codec": "H264",
                "video_bitrate": "1000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        },
        {
            "id": "85844e8b-6281-11ea-883b-028fc5698662",
            "name": "720p H264 30fps Normal Latency",
            "segment_duration": 4,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "720",
                "video_codec": "H264",
                "video_bitrate": "2000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        },
        {
            "id": "9c1a5300-6281-11ea-883b-028fc5698662",
            "name": "720p H264 30fps High Latency Portrait",
            "segment_duration": 10,
            "orientation": "portrait",
            "video_profile": {
                "video_resolution": "720",
                "video_codec": "H264",
                "video_bitrate": "1500K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        },
        {
            "id": "abe71abb-6281-11ea-883b-028fc5698662",
            "name": "480p H264 30fps High Latency",
            "segment_duration": 10,
            "orientation": "landscape",
            "video_profile": {
                "video_resolution": "480",
                "video_codec": "H264",
                "video_bitrate": "1000K",
                "video_frame_rate": "30"
            },
            "audio_profile": {
                "audio_channel": "2",
                "audio_codec": "AAC",
                "audio_bitrate": "128K",
                "audio_frame_rate": "1"
            }
        }
    ],
    "next_page_token": "",
    "prev_page_token": ""
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request GET 'https://api.uiza.sh/v1/video_profiles' \
--header 'Authorization: uap-a1c559e57f5846d39ec50b2df062caf8-b1cef5b6'
```

{% endcode %}
